Summary:	Script de sincronismo de repositorios
Name:		yum-repo-sync
Version:	1.1
Release:	1
License:	GPL
Group:		System Environment/Base
URL:		http://www.dotsharp.com.br
Source0:	http://www.dotsharp.com.br/download/%{name}/%{name}-%{version}.tar.gz
Requires:	yum >= 2.0, rsync, createrepo, diffutils, mktemp
BuildArchitectures: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define docdir %{_docdir}/%{name}-%{version}

%description
Shell script para manter sincronizado repositorios para o YUM localmente

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{docdir}
install -m 755 yum-repo-sync.sh $RPM_BUILD_ROOT%{_bindir}/yum-repo-sync
install -m 644 yum-repo-sync.conf $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/yum-repo-sync
install -m 644 ChangeLog $RPM_BUILD_ROOT%{docdir}
install -m 644 LICENSE $RPM_BUILD_ROOT%{docdir}
install -m 644 README $RPM_BUILD_ROOT%{docdir}
install -m 644 TODO $RPM_BUILD_ROOT%{docdir}
ln -sf %{_bindir}/yum-repo-sync ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/yum-repo-sync

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT



%files
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/sysconfig/yum-repo-sync
%attr(0755, root, root) %{_bindir}/yum-repo-sync
%attr(0755, root, root) %{_sysconfdir}/cron.daily/yum-repo-sync
%doc %{docdir}/*

%changelog
* Thu Oct 26 2006 Rodrigo Luis Silva <rodrigo@dotsharp.com.br> 1.1
- Adicionado repositorio para Fedora Core 6
- Adicionado alguns textos em ingles

* Fri Jun  9 2006 Rodrigo Luis Silva <rodrigo@dotsharp.com.br> 1.0
- Versao Inicial
